{
  "info": "---- ?? tarkoittaa epäselvää",
  "name": "notdeliveredpallets",
  "query": [
    ["C_LONGINT", ["stpa_lUseSelection"]],
    ["c_text", ["stpa_tTypePallet"]],
    ["stpa_lUseSelection", "=", "false"],
    ["COMPILER_stpa"],
    [
      "if", ["stpa_lUseSelection", "=", "false"],
      [
        ["stpa_tTypePallet", "=", ["stpa_tTypePallet"]],
        ["_qry_Fld", ["0", ["stpa_type", "=", ["stpa_tTypePallet"]], "", "false", "false"]]
      ]
    ],

    ["sor_HAE_AVOIMET", ["false"]],
    ["ARRAY_TEXT", ["stpa_atSorSalesOrder", "0"]],
    ["ARRAY_LONGINT", ["stpa_alSorRow", "0"]],
    ["ARRAY_LONGINT", ["stpa_alSorPartialRow", "0"]],
    ["_sel_SEL_TO_ARR_THREE", ["sor_sales_order_id", "stpa_atSorSalesOrder", "sor_row_number", "stpa_alSorRow", "sor_partial_delivery_number", "stpa_alSorPartialRow"]],

    ["stpa_lArrSize", "=", ["Size_of_array", ["stpa_atSorSalesOrder"]]],
    [
      "For ---- ??"
    ]
  ]
}
